export default async function Sitemap(req, res) {
  try {
    // Await the promise from getDomain if it is asynchronous
    const domain = req.headers.host || "";
    const baseUrl = `https://dubaigoldenvisa.co`;
    // Sample URLs; replace with actual dynamic data
    const pages = [
      { loc: `${baseUrl}/`, lastmod: new Date().toISOString() },
      // Add more pages dynamically here
    ];
    // Generate XML for sitemap
    const sitemap = `<?xml version="1.0" encoding="UTF-8"?>
    <urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">
      ${pages
        .map(
          ({ loc, lastmod }) => `
        <url>
          <loc>${loc}</loc>
          <lastmod>${lastmod}</lastmod>
        </url>
      `
        )
        .join("")}
    </urlset>`;
    res.setHeader("Content-Type", "text/xml");
    res.status(200).send(sitemap);
  } catch (error) {
    console.error("Error generating sitemap:", error);
    res.status(500).end("Internal Server Error");
  }
}
