import DGV from "@/sections/DGV";
import KeyBenefits from "@/sections/KeyBenefits";
import GvProcess from "@/sections/GvProcess";
import GoldHero from "@/sections/GoldHero";
import ExpressGV from "@/sections/ExpressGV";
import WTApply from "@/sections/WTApply";
import LastForm from "@/sections/LastForm";
import GFaqs from "@/sections/GFaqs";
import Button from "@/components/Button";
import SGoldenVisa from "@/sections/SGoldenVisa";
import WhatsappBtn from "@/components/WhatsappBtn";
import Header from "@/components/Header";
import { useModal } from "@/context/ModalContext";
import Head from "next/head";
function GoldenVisa() {
  const { toggleModal } = useModal();
  const jsonLd = {
    "@context": "https://schema.org",
    "@type": "WebSite",
    name: "Golden visa Dubai",
    url: "https://dubaigoldenvisa.co/",
    potentialAction: {
      "@type": "SearchAction",
      target: "{search_term_string}",
      "query-input": "required name=search_term_string",
    },
  };
  const jsonLd2 = {
    "@context": "https://schema.org",
    "@type": "Product",
    name: "Dubai Golden Visa",
    aggregateRating: {
      "@type": "AggregateRating",
      ratingValue: "4.6",
      reviewCount: "2570",
    },
  };
  return (
    <>
      <Head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="icon" href="" />
        <title>
          Dubai Golden Visa | Your Gateway to UAE Residency - Requirements &
          Process
        </title>
        <meta
          name="description"
          content="Learn about Dubai Golden Visa requirements, application process, and pricing. Secure your UAE residency through property investment with our expert guidance."
        />
        <meta name="robots" content="index, follow" />
        <meta name="google-site-verification" content="" />
        <meta
          name="keywords"
          content="golden visa, dubai golden visa, golden visa uae, golden visa uae price, golden visa process, golden visa requirements, golden visa properties"
        />
        <meta property="og:url" content="https://dubaigoldenvisa.co" />
        <meta
          property="og:title"
          content="Dubai Golden Visa| Your Gateway to UAE Residency - Requirements & Process"
        />
        <meta
          property="og:description"
          content="Learn about Dubai Golden Visa requirements, application process, and pricing. Secure your UAE residency through property investment with our expert guidance."
        />
        <meta property="og:type" content="website" />
        <meta
          property="og:image"
          content="https://dubaigoldenvisa.co/images/goldhero.jpg"
        />
        <link rel="canonical" href="https://dubaigoldenvisa.co" />
        <meta property="og:image:width" content="100" />
        <meta property="og:image:height" content="100" />
        <meta property="og:image:type" content="image/webp" />
        <meta name="twitter:card" content="summary_large_image" />
        <script
          type="application/ld+json"
          dangerouslySetInnerHTML={{ __html: JSON.stringify(jsonLd) || "" }}
        />
        <script
          type="application/ld+json"
          dangerouslySetInnerHTML={{ __html: JSON.stringify(jsonLd2) || "" }}
        />
      </Head>
      <Header />
      <GoldHero />
      <DGV />
      <SGoldenVisa />
      <WTApply />
      <GvProcess />
      <KeyBenefits />
      <ExpressGV />
      <GFaqs />
      <LastForm />
      <div className="container-fluid bg-light py-2 d-flex justify-content-center align-items-center position-sticky fixed-bottom d-md-none d-lg-none d-block">
        <a onClick={() => toggleModal("GET YOUR GOLDEN VISA")}>
          <Button text={"GET YOUR GOLDEN VISA"} width={"300px"} />
        </a>
      </div>
      <WhatsappBtn />
    </>
  );
}
export default GoldenVisa;
