export async function getServerSideProps(context) {
  const robotsTxt = `
    User-agent: *
    Allow: /
    Sitemap: https://dubaigoldenvisa.co/sitemap/sitemap.xml
  `;

  // Set the appropriate headers and return the robots.txt content
  context.res.setHeader("Content-Type", "text/plain");
  context.res.write(robotsTxt);
  context.res.end();

  return {
    props: {}, // No props required as the component won't render anything
  };
}

// The Robots component serves the robots.txt, so no UI component is necessary.
export default function Robots() {
  return null;
}
