import Head from "next/head";

export default function Thankyou() {
  return (
    <>
      <Head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="icon" href="" />
        <title>
          Dubai Golden Visa| Your Gateway to UAE Residency - Requirements &
          Process
        </title>
        <meta
          name="description"
          content="Learn about Dubai Golden Visa requirements, application process, and pricing. Secure your UAE residency through property investment with our expert guidance."
        />
        <meta name="robots" content="index, follow" />
        <meta name="google-site-verification" content="" />
        <meta
          name="keywords"
          content="golden visa, dubai golden visa, golden visa uae, golden visa uae price, golden visa process, golden visa requirements, golden visa properties"
        />
        <meta
          property="og:url"
          content="https://dubaigoldenvisa.co/thank-you"
        />
        <meta
          property="og:title"
          content="Dubai Golden Visa| Your Gateway to UAE Residency - Requirements & Process"
        />
        <meta
          property="og:description"
          content="Learn about Dubai Golden Visa requirements, application process, and pricing. Secure your UAE residency through property investment with our expert guidance."
        />
        <meta property="og:type" content="website" />
        <meta property="og:image" content="" />
        <link rel="canonical" href="https://dubaigoldenvisa.co/thank-you" />
        <meta property="og:image:width" content="200" />
        <meta property="og:image:height" content="200" />
        <meta property="og:image:type" content="image/webp" />
        <meta name="twitter:card" content="summary_large_image" />
      </Head>

      <div className="ThanksYou">
        <div className="container">
          <div className="row">
            <div className="col-12">
              <div className="developer-text">
                <h2>Thank you for getting in touch!</h2>
              </div>
              <div className="developer-content">
                <p>
                  We appreciate you contacting us / Salwa Real Estate. One of
                  our colleagues will get back in touch with you soon! Have a
                  great day!
                </p>
              </div>
              <h2 className="help-text">We're here to help</h2>
              <p className="help-text">
                Seven days a week, 365 days of the year, our friendly, expert
                team is just a phone call or email away.
              </p>
              <div className="d-flex mt-5">
                <img
                  className="me-3"
                  src="https://uae-offplan.com/assets/assets/assets/images/email-circle.svg"
                  width="50"
                  alt="Email"
                />
                <a href="mailto:info@uae-offplan.com">
                  <p className="contact-method">Email</p>
                  <span className="text-dark">info@uae-offplan.com</span>
                </a>
              </div>
              <div className="d-flex mt-2 mb-2">
                <img
                  className="me-3"
                  src="https://uae-offplan.com/assets/assets/assets/images/whatsapp-circle.svg"
                  width="50"
                  alt="WhatsApp"
                />
                <a
                  href={`https://api.whatsapp.com/send/?phone=971524474422&text=Kindly+send+me+more+information.+Thank+you%21+&type=phone_number&app_absent=0`}
                >
                  <p className="contact-method">WhatsApp</p>
                  <span className="text-dark">Click to WhatsApp</span>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </>
  );
}
