import React from "react";
import Image from "next/image";
import Button from "../components/Button";
import { useModal } from "@/context/ModalContext";
export default function DGV() {
  const { toggleModal } = useModal();
  return (
    <>
      <section className="DGV" id="GOLDEN">
        <div className="container">
          <div className="row">
            <div className="col-md-5">
              <div className="leftside">
                <Image
                  src="/images/AllDunai.png"
                  width={450}
                  height={400}
                  alt="golden visa dubai"
                  className="rounded dvgburg"
                />
              </div>
            </div>
            <div className="col-md-7">
              <div className="d-grid h-100 align-items-center">
                <div className="rightside">
                  <h2>YOUR PATH TO LONG-TERM RESIDENCY IN THE UAE</h2>
                  <h3>DUBAI GOLDEN VISA</h3>
                  <p>
                    If you are looking to live and work in Dubai, the Golden
                    Visa in Dubai is a great option. The Golden Visa allows
                    foreign nationals to live, work, and study in the UAE
                    without needing a local sponsor and with full ownership of
                    their businesses on the UAE mainland. Regular expat workers
                    in the UAE must renew their visas every two to three years.
                    Golden visas are different, as they allow foreign nationals
                    to live and work in the UAE for up to 10 years without
                    having to renew their visas. Golden visas are also distinct
                    from Emirati citizenship, which can only be granted to
                    people nominated by the government or a royal court
                    official.
                  </p>
                  <a
                    onClick={() => toggleModal("Enquire Now")}
                    className="mt-3"
                  >
                    <Button text={"Enquire Now"} width={"200px"} />
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
}
