import React, { useState } from "react";
import { FiChevronDown, FiChevronUp } from "react-icons/fi";
import Heading from "../components/Heading";
import Form from "../components/Form";
const faqs = [
  {
    id: "557",
    title: "10 Year Golden Visa Eligibility:",
    description:
      "Investors (at least AED 2 million investment) Individuals with specialised talents (AED 30,000 per month salary) High school Toppers",
  },
  {
    id: "558",
    title: "5 Years Golden Visa Eligibility:",
    description:
      "Real estate investors (at least AED 750,000 investment) Entrepreneurs Outstanding students",
  },
];

const GFaqs = () => {
  const [activeIndex, setActiveIndex] = useState(null);

  const handleToggle = (index) => {
    setActiveIndex(index === activeIndex ? null : index);
  };

  return (
    <section className="faq-section">
      <Heading level="h2" text="Requirements" underline />
      <div className="container">
        <div className="row mt-5">
          <div className="col-lg-8 col-md-6">
            {faqs.map((faq, index) => (
              <div
                key={faq.id}
                className={`faq-item ${activeIndex === index ? "open" : ""}`}
              >
                <div className="faq-title" onClick={() => handleToggle(index)}>
                  {faq.title}
                  {activeIndex === index ? (
                    <FiChevronUp className="icon" />
                  ) : (
                    <FiChevronDown className="icon" />
                  )}
                </div>
                <div
                  className={`faq-content ${
                    activeIndex === index ? "show" : ""
                  }`}
                >
                  {faq.description}
                </div>
              </div>
            ))}
          </div>
          <div className="col-lg-4 col-md-6">
            <div className="fromright">
              <h6 className="text-center">Book your free consultation</h6>
              <p className="text-center">
                Ask them to me, fill out the details and I will contact you
              </p>
              <Form looking_for={"Have questions?"} />
            </div>
          </div>
        </div>
      </div>
    </section>
  );
};

export default GFaqs;
