import Button from "../components/Button";
import Form from "../components/Form";
import { useModal } from "@/context/ModalContext";
export default function GoldHero() {
  const { toggleModal } = useModal();
  return (
    <>
      <div className="GoldHero">
        <header>
          <div
            className="bg-image"
            style={{
              backgroundImage: `url(/images/goldhero.jpg)`,
              height: 600,
            }}
          >
            <div
              className="mask h-100 w-100"
              style={{
                backgroundImage:
                  "linear-gradient(.528turn,#000000c4 60%,#0000)",
              }}
            >
              <div className="d-flex align-items-center h-100">
                <div className="container">
                  <div className="row">
                    <div className="text-white details col-lg-6 col-md-7">
                      <div>
                        <h1 className="gold">Dubai Golden Visa</h1>
                        <h2 className="mb-2 mt-3 main_heading">
                          ENJOY 10 YEARS <br /> RESIDENCY
                        </h2>

                        <p>
                          The UAE Golden Visa is a special long-term residence
                          visa that allows you to live, work, and study in the
                          UAE for up to 10 years, without the need for a
                          sponsor.
                        </p>
                        <div className="mt-3">
                          <a
                            onClick={() => toggleModal("Check Your Eligibilty")}
                          >
                            <Button
                              text={"Check Your Eligibilty"}
                              width={"200px"}
                            />
                          </a>
                        </div>
                      </div>
                    </div>
                    <div className="col-lg-4 col-md-5 offset-lg-2">
                      <div className="from rounded p-4 text-dark">
                        <h3 className="formcontent">
                          Book your free consultation
                        </h3>
                        <p>
                          Investors (at least AED 2 million investment)
                          <br />
                          Individuals with specialised talents (AED 30,000 per
                          month salary)
                        </p>
                        <Form looking_for="Book your free consultation" />
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </header>
      </div>
    </>
  );
}
