import React from "react";
import Image from "next/image";
import Button from "../components/Button";
export default function GvProcess({ toggleModal }) {
  return (
    <>
      <section className="GvProcess" id="PROCESSING">
        <div className="container">
          <div className="row">
            <div className="col-md-7">
              <div className="leftside">
                <h2>DubaiGoldenVisa: YOUR TRUSTED PARTNER FOR</h2>
                <h3 className="fw-bold">
                  GOLDEN VISA <br /> PROCESSING IN THE UAE
                </h3>
                <p>
                  Dubai Golden Visa is a leading business setup and consultancy
                  firm in the UAE, with a proven track record of success in
                  helping entrepreneurs, investors, students, and researchers
                  obtain Golden Visas. We have a team of experienced immigration
                  consultants who can guide you through the entire process, from
                  completing the application form to submitting the required
                  documentation. We understand that the Golden Visa application
                  process can be complex and time-consuming, so we are committed
                  to making it as smooth and hassle-free as possible for our
                  clients. If you are looking to apply for Golden Visa in Dubai,
                  we will work closely with you to ensure that your application
                  is complete and accurate, and we will provide you with regular
                  updates on the status of your application. If you are
                  interested in applying for the Golden Visa, we encourage you
                  to contact Dubai Golden Visa today. We will be happy to answer
                  your questions and help you get started on the path to
                  long-term residency in the UAE.
                </p>
                <a
                  onClick={() => toggleModal("Get Free Consultation")}
                  className="mt-3"
                >
                  <Button text={"Get Free Consultation"} width={"200px"} />
                </a>
              </div>
            </div>
            <div className="col-md-5">
              <div className="rightside">
                <Image
                  src="/images/busnessgril.webp"
                  width={400}
                  height={400}
                  alt="dubai golden visa gril"
                  className="rounded"
                />
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
}
