import React from "react";
import Image from "next/image";
import Button from "../components/Button";
import { useModal } from "@/context/ModalContext";

export default function KeyBenefits() {
  const { toggleModal } = useModal();
  return (
    <>
      <section className="KeyBenefits" id="INVESTING">
        <div className="container">
          <div className="row">
            <div className="col-md-7">
              <div className="leftside">
                <h2>
                  KEY BENEFITS OF LIVING, WORKING, AND INVESTING IN THE CITY OF
                  THE FUTURE
                </h2>
                <h3>Visa Validity</h3>
                <p>Long-term, renewable UAE residence valid for 10 years</p>
                <h3>Flexibility</h3>
                <p>No limit on the duration of stay outside the country</p>
                <h3>Independence</h3>
                <p>Self-sponsored visa, no sponsor or employer is required</p>
                <h3>Family Sponsorship</h3>
                <p>
                  Sponsor your family members including your spouse and children
                  of any age
                </p>
                <h3>Sponsor Domestic Helpers</h3>
                <p>Sponsor unlimited number of domestic helpers</p>
                <h3>100% Ownership</h3>
                <p>Own 100% of any business started and owned in the UAE</p>
                <a onClick={() => toggleModal("Enquire Now")} className="mt-3">
                  <Button text={"Enquire Now"} width={"200px"} />
                </a>
              </div>
            </div>
            <div className="col-md-5">
              <div className="rightside">
                <Image
                  src="/images/contentbg2.webp"
                  width={700}
                  height={700}
                  alt='dubai images'
                  className="rounded"
                />
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
}
