import React from "react";
import Image from "next/image";
import { LiaStarSolid } from "react-icons/lia";
import Button from "../components/Button";

export default function SGoldenVisa({ toggleModal }) {
  return (
    <>
      <section className="GoldenVisa">
        <div className="container">
          <div className="row">
            <div className="col-lg-9 col-md-9 col-12">
              <div className="left-side">
                <div>
                  <p>A golden opportunity for a golden future!</p>
                  <h6>
                    Enjoy&nbsp;
                    <span
                      style={{
                        backgroundImage: `url(/images/goldback.webp)`,
                      }}
                    >
                      10 years
                    </span>
                    <br />
                    of residency and exclusive benefits.
                  </h6>
                </div>
                <Image
                  src="/images/goldenhand.webp"
                  width={500}
                  alt=''
                  height={500}
                  className="handimg"
                />
              </div>
            </div>
            <div className="col-12 d-md-none d-lg-none d-block">
              <Image
                src="/images/goldenhand.webp"
                width={350}
                alt=''
                height={300}
                className="handimg2 w-100"
              />
            </div>
            <div className="col-lg-3 col-md-3 col-12 p-0">
              <div className="rightside">
                <div>
                  <h6>Who can apply?</h6>
                  <ul>
                    <li>
                      <LiaStarSolid />
                      Must be a UAE resident
                    </li>
                    <li>
                      <LiaStarSolid />
                      Real estate owners (min. property value AED 2M)
                    </li>
                    <li>
                      <LiaStarSolid />
                      Individuals with a fixed deposit of AED 2M
                    </li>
                    <li>
                      <LiaStarSolid />
                      Individuals with a salary of AED 30K
                    </li>
                    <li>
                      <LiaStarSolid />
                      University graduates with a min. GPA 3.8/4
                    </li>
                  </ul>
                  <a onClick={() => toggleModal("Get Your Golden Visa")}>
                    <Button text={"Get Your Golden Visa"} width={"200px"} />
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
}
