import React from "react";
import Image from "next/image";
import Button from "../components/Button";
import { useModal } from "@/context/ModalContext";

export default function WTApply() {
  const { toggleModal } = useModal();
  return (
    <>
      <section className="WTApply" id="INVESTING">
        <div className="container">
          <div className="row">
            <div className="col-md-7 d-flex align-items-center">
              <div className="leftside ">
                <h3>Who can apply:</h3>
                <p>
                  10-year visas are open to investors (public investment of at
                  least AED 2 million) and people with specialised talents,
                  whilst the 2-5-year visas are open to investors (property
                  investment of at least AED 750,000), entrepreneurs and
                  outstanding students.
                </p>
                <h3>Typical Time Frame:</h3>
                <p className="mb-3">10-12 Working Days</p>
                <a onClick={() => toggleModal("Enquire Now")}>
                  <Button text={"Enquire Now"} width={"200px"} />
                </a>
              </div>
            </div>
            <div className="col-md-5">
              <div className="rightside">
                <Image
                  src="/images/mans.jpeg"
                  width={400}
                  alt=""
                  height={400}
                  className="rounded h-100 w-100"
                />
              </div>
            </div>
          </div>
        </div>
      </section>
    </>
  );
}
